### Function Macro

# Gimp CAIRO_ARGB32_SET_PIXEL

#### Declaration [src]

    #define GIMP_CAIRO_ARGB32_SET_PIXEL (
      d,
      r,
      g,
      b,
      a
    )

#### Description [src]

Sets a single pixel in an Cairo image surface in `CAIRO_FORMAT_ARGB32`.

Available since: | 2.6
This function is not directly available to language bindings

#### Parameters

`d` | `-`
| Pointer to the destination buffer.
`r` | `-`
| Red component, not pre-multiplied.
`g` | `-`
| Green component, not pre-multiplied.
`b` | `-`
| Blue component, not pre-multiplied.
`a` | `-`
| Alpha component.